package net.northking.cctp.device.dto.pcDevice;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;

public class CdPcDeviceStatusDto {

    /**
     * 主键id(设备id)<br>
     */
    @ApiModelProperty("主键id(设备id)")
    @Size(max = 32, message="主键id(设备id)-id: 数据长度不能 > 32" )
    private String id;

    /**
     * 设备状态(1-在线 2-离线 3-移除)<br>
     */
    @ApiModelProperty("设备状态(1-在线 2-离线 3-移除 4-连接中 5-连接失败)")
    private String deviceStatus;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }
}
